public static class ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
httpHeader
The header of the HTTP request.
|
String |
httpMethod
The HTTP request method.
|
Boolean |
httpNegative
The method to trigger an alert.
|
String |
httpPostContent
The content of the HTTP POST request.
|
String |
httpResponseCharset
The character set that is used in the HTTP response.
|
String |
httpResponseMatchContent
The response to the HTTP request.
|
String |
httpURI
The URI that you want to monitor.
|
Integer |
interval
The interval at which detection requests are sent.
|
String |
telnetOrPingHost
The domain name or IP address that you want to monitor.
|
| 构造器和说明 |
|---|
ModifyHostAvailabilityRequestTaskOption() |
@NameInMap(value="HttpHeader") public String httpHeader
The header of the HTTP request. Format: `Parameter name:Parameter value`. Separate multiple parameters with carriage return characters. Example:
params1:value1
params2:value2
@NameInMap(value="HttpMethod") public String httpMethod
The HTTP request method. Valid values:
* GET
* POST
* HEAD
> This parameter must be specified when TaskType is set to HTTP. For more information about how to configure the TaskType parameter, see [CreateHostAvailability](~~115317~~).
@NameInMap(value="HttpNegative") public Boolean httpNegative
The method to trigger an alert. The alert can be triggered based on whether the specified alert rule is included in the response body. Valid values:
* true: If the HTTP response body includes the alert rule, an alert is triggered.
* false: If the HTTP response does not include the alert rule, an alert is triggered.
> This parameter must be specified when TaskType is set to HTTP. For more information about how to configure the TaskType parameter, see [CreateHostAvailability](~~115317~~).
@NameInMap(value="HttpPostContent") public String httpPostContent
The content of the HTTP POST request.
@NameInMap(value="HttpResponseCharset") public String httpResponseCharset
The character set that is used in the HTTP response.
> Only UTF-8 is supported.
@NameInMap(value="HttpResponseMatchContent") public String httpResponseMatchContent
The response to the HTTP request.
@NameInMap(value="HttpURI") public String httpURI
The URI that you want to monitor. This parameter must be specified when TaskType is set to HTTP.
@NameInMap(value="Interval") public Integer interval
The interval at which detection requests are sent. Unit: seconds. Valid values: 15, 30, 60, 120, 300, 900, 1800, and 3600.
> This parameter is available only for the CloudMonitor agent V3.5.1 or later.
@NameInMap(value="TelnetOrPingHost") public String telnetOrPingHost
The domain name or IP address that you want to monitor.
> This parameter must be specified when TaskType is set to PING or TELNET. For more information about how to configure the TaskType parameter, see [CreateHostAvailability](~~115317~~).
public static ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption build(Map<String,?> map) throws Exception
Exceptionpublic ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpHeader(String httpHeader)
public String getHttpHeader()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpMethod(String httpMethod)
public String getHttpMethod()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpNegative(Boolean httpNegative)
public Boolean getHttpNegative()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpPostContent(String httpPostContent)
public String getHttpPostContent()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpResponseCharset(String httpResponseCharset)
public String getHttpResponseCharset()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpResponseMatchContent(String httpResponseMatchContent)
public String getHttpResponseMatchContent()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setHttpURI(String httpURI)
public String getHttpURI()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setInterval(Integer interval)
public Integer getInterval()
public ModifyHostAvailabilityRequest.ModifyHostAvailabilityRequestTaskOption setTelnetOrPingHost(String telnetOrPingHost)
public String getTelnetOrPingHost()
Copyright © 2024. All rights reserved.